petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectComposedDataGetIntstar

retrieve integer array data attached to an object

### Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataGetIntstar(PetscObject obj,int id,int *data,PetscBool  flag)

Not collective Many br

### Input parameters

| obj | - the object from which data is to be retrieved Many br
| id | - the identifier for the data Many br

Output parameters Many br

| data | - the data to be retrieved Many br
| flag | - PETSC_TRUE if the data item exists and is valid, PETSC_FALSE otherwise Many br

The 'data' and 'flag' variables are inlined, so they are not pointers. Many br

Many br

Level:developer
Location:include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages